play.data.binding.types

## Class ByteArrayArrayBinder

- java.lang.Object
- - play.data.binding.types.ByteArrayArrayBinder

All Implemented Interfaces:
  TypeBinder<byte[][]>

    public class ByteArrayArrayBinder
    extends java.lang.Object
    implements TypeBinder<byte[][]>

Bind byte[][] form multipart/form-data request, so you can have a byte[][] in your controller. This is useful when you have a multiple on your input file.

### Constructor Summary

Constructors
Constructor and Description
`ByteArrayArrayBinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[][]` `bind(java.lang.String name, java.lang.annotation.Annotation[] annotations, java.lang.String value, java.lang.Class actualClass, java.lang.reflect.Type genericType)` Called when your parameter needs to be bound.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteArrayArrayBinder

    public ByteArrayArrayBinder()

### Method Detail

#### bind

    public byte[][] bind(java.lang.String name,
                         java.lang.annotation.Annotation[] annotations,
                         java.lang.String value,
                         java.lang.Class actualClass,
                         java.lang.reflect.Type genericType)

Description copied from interface: `TypeBinder`
Called when your parameter needs to be bound.

Specified by:
  `bind` in interface `TypeBinder<byte[][]>`
Parameters:
  `name` - the name of you parameter ie myparam for a simple param but can also be a complex one : mybean.address.street
  `annotations` - An array of annotation that may be bound to your method parameter or your bean property
  `value` - the actual value as a string that needs to be bound
  `actualClass` - The class of the object you want to associate the value with
  `genericType` - The generic type associated with the object you want to bound the value to
Returns:
  the 'bound' object for example a date object if the value was '12/12/2002'